Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.buybeans.item
Interface BeanieBaby

public interface BeanieBaby
extends BasicBean

This is an item that has the special characteristics of a Beanie Baby.

     Primary Key = examples.buybeans.item.BeanieBabyPk

                      retired
     [BeanieBaby] <*>------> [boolean]

                      anomaly
     [BeanieBaby] <*>------> [boolean]

                      availability
     [BeanieBaby] <*>------> [int]

                      image
     [BeanieBaby] <*>------> [String]

See Also:
  `BeanieBabyPk`, `BeanieBabyHome`, `BeanieBabyImpl`, `BeanieBabyValue`

Method Summary
`boolean` | `getAnomaly()` Get the value of anomaly
`int` | `getAvailability()` Get the value of availability
`BeanieBabyValue` | `getBeanieBabyByValue()` Get all of BeanieBaby's attributes.
`java.lang.String` | `getImage()` Get the value of image
`boolean` | `getRetired()` Get the value of retired
`void` | `setAnomaly(boolean anomaly)` Set the value of anomaly
`void` | `setAvailability(int availability)` Set the value of availability
`void` | `setBeanieBabyByValue(BeanieBabyValue value)` Set all of BeanieBaby's attributes to the passed in value.
`void` | `setImage(java.lang.String image)` Set the value of image
`void` | `setRetired(boolean retired)` Set the value of retired

Methods inherited from interface examples.buybeans.item.BasicBean
`getBasicBeanByValue, getCustomerRating, getFullDescription, setBasicBeanByValue, setCustomerRating, setFullDescription`

Methods inherited from interface theory.smart.ebusiness.item.Item
`addFirstQuality, addLastQuality, addQualities, addQualities, addQuality, addQuality, calculatePrice, calculatePrice, containsQuality, getDefaultItemPriceCalculationPolicy, getDescription, getFirstQuality, getIdentifier, getItemByValue, getLastQuality, getNumberOfQualities, getPrice, getQualities, getQualities, getQuality, getSupplier, getVersion, indexOfQuality, isQualitiesEmtpy, lastIndexOfQuality, removeAllQualities, removeFirstQuality, removeLastQuality, removeQuality, removeQuality, setDefaultItemPriceCalculationPolicy, setDescription, setItemByValue, setPrice, setQuality`

Methods inherited from interface theory.smart.foundation.ConfigurableEntity
`setSuccessorAtClassLevel, setSuccessorAtInstanceLevel`

Methods inherited from interface theory.smart.foundation.Configurable
`addProperty, getProperty, removeProperty`

Methods inherited from interface theory.smart.foundation.BusinessPolicyManager
`addBusinessPolicy, getBusinessPolicy, removeBusinessPolicy`

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getBeanieBabyByValue

    public BeanieBabyValue getBeanieBabyByValue()
                                         throws java.rmi.RemoteException

  Get all of BeanieBaby's attributes.
  Returns:
    BeanieBabyValue the BeanieBaby value object

### setBeanieBabyByValue

    public void setBeanieBabyByValue(BeanieBabyValue value)
                              throws java.rmi.RemoteException

  Set all of BeanieBaby's attributes to the passed in value. Note: Primary key attributes are not set.
  Parameters:
    `BeanieBabyValue` - the BeanieBaby value object

### getRetired

    public boolean getRetired()
                       throws java.rmi.RemoteException

  Get the value of retired
  Returns:
    retired.

### setRetired

    public void setRetired(boolean retired)
                    throws java.rmi.RemoteException

  Set the value of retired
  Parameters:
    `retireds` - retired to be added

### getAnomaly

    public boolean getAnomaly()
                       throws java.rmi.RemoteException

  Get the value of anomaly
  Returns:
    anomaly.

### setAnomaly

    public void setAnomaly(boolean anomaly)
                    throws java.rmi.RemoteException

  Set the value of anomaly
  Parameters:
    `anomalies` - anomaly to be added

### getAvailability

    public int getAvailability()
                        throws java.rmi.RemoteException

  Get the value of availability
  Returns:
    availability.

### setAvailability

    public void setAvailability(int availability)
                         throws java.rmi.RemoteException

  Set the value of availability
  Parameters:
    `availabilities` - availability to be added

### getImage

    public java.lang.String getImage()
                              throws java.rmi.RemoteException

  Get the value of image
  Returns:
    image.

### setImage

    public void setImage(java.lang.String image)
                  throws java.rmi.RemoteException

  Set the value of image
  Parameters:
    `images` - image to be added

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.